| OpenCV 3.4.7 Open Source Computer Vision

Public Member Functions | List of all members
cv::detail::BundleAdjusterReproj Class Reference
Images stitching » Rotation Estimation

Implementation of the camera parameters refinement algorithm which minimizes sum of the reprojection error squares. More...

`#include <opencv2/stitching/detail/motion_estimators.hpp>`

Inheritance diagram for cv::detail::BundleAdjusterReproj:

## Public Member Functions
| BundleAdjusterReproj ()
Public Member Functions inherited from cv::detail::BundleAdjusterBase
double | confThresh () const
const Mat | refinementMask () const
void | setConfThresh (double conf_thresh)
void | setRefinementMask (const Mat &mask)
void | setTermCriteria (const TermCriteria &term_criteria)
TermCriteria | termCriteria ()
Public Member Functions inherited from cv::detail::Estimator
virtual | ~Estimator ()
bool | operator() (const std::vector< ImageFeatures > &features, const std::vector< MatchesInfo > &pairwise_matches, std::vector< CameraParams > &cameras)
| Estimates camera parameters. More...

## Additional Inherited Members
Protected Member Functions inherited from cv::detail::BundleAdjusterBase
| BundleAdjusterBase (int num_params_per_cam, int num_errs_per_measurement)
| Construct a bundle adjuster base instance. More...
virtual bool | estimate (const std::vector< ImageFeatures > &features, const std::vector< MatchesInfo > &pairwise_matches, std::vector< CameraParams > &cameras) CV_OVERRIDE
| This method must implement camera parameters estimation logic in order to make the wrapper detail::Estimator::operator()_ work. More...
Protected Attributes inherited from cv::detail::BundleAdjusterBase
Mat | cam_params_
double | conf_thresh_
std::vector< std::pair< int, int > > | edges_
const ImageFeatures * | features_
int | num_errs_per_measurement_
int | num_images_
int | num_params_per_cam_
const MatchesInfo * | pairwise_matches_
Mat | refinement_mask_
TermCriteria | term_criteria_
int | total_num_matches_

## Detailed Description

Implementation of the camera parameters refinement algorithm which minimizes sum of the reprojection error squares.

It can estimate focal length, aspect ratio, principal point. You can affect only on them via the refinement mask.

## Constructor & Destructor Documentation

## § BundleAdjusterReproj()

cv::detail::BundleAdjusterReproj::BundleAdjusterReproj | ( |  | ) |
| inline

The documentation for this class was generated from the following file:

- opencv2/stitching/detail/motion_estimators.hpp